%define	upstream_name	 Module-Starter
%define upstream_version 1.60

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
Epoch:      1

Summary:    A simple starter kit for any module 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::Command)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Pod::Usage) >= 1.210.0
BuildRequires: perl(Test::Harness) >= 0.210.0
BuildRequires: perl(Test::More)
BuildRequires: perl(parent)
BuildArch:  noarch

%description
This is the core module for Module::Starter. If you're not looking to extend or
alter the behavior of this module, you probably want to look at module-starter
instead.

Module::Starter is used to create a skeletal CPAN distribution, including basic
builder scripts, tests, documentation, and module code. This is done through
just one method, create_distro.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files 
%doc Changes META.json META.yml MYMETA.yml README
%{_bindir}/*
%{perl_vendorlib}/*
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1:1.600.0-2.mga3
+ Revision: 369994
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 1:1.600.0-1.mga3
+ Revision: 315171
- update to 1.60

* Fri Jul 08 2011 jquelin <jquelin> 1:1.580.0-1.mga2
+ Revision: 120459
- update to 1.58

* Tue Apr 12 2011 jquelin <jquelin> 1:1.570.0-1.mga1
+ Revision: 83776
- update to 1.57

* Mon Apr 11 2011 jquelin <jquelin> 1:1.560.0-1.mga1
+ Revision: 83367
- update to 1.56

* Sat Jan 22 2011 jquelin <jquelin> 1:1.540.0-1.mga1
+ Revision: 30865
- mageia rebuild
- imported package perl-Module-Starter

